{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "name": {"type": "string"},
      "filter": {"type": "boolean"},
      "hidden": {"type": "boolean"},
      "tab-name": {"type": "string"},
      "description": {"type": "string"},
      "col-def": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "field": {"type": "string"},
            "title": {"type": "string"},
            "sortable": {"type": "boolean"},
            "selectable": {"type": "boolean"}
          },
          "required": ["field", "title"]
        },
        "minItems": 1
      },
      "rows": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "uid": {"type": "string"}
          },
          "minProperties": 2,
          "required": ["uid"]
        },
        "minItems": 1
      }
    },
    "required": ["name", "col-def", "rows"]
  }
}